%define name    nvrec
%define ver     20041227
%define rel     1
%define prefix  /usr

Summary: New Video Recorder
Name: %name
Version: %ver
Release: %rel
License: GPL
Group: Multimedia/Video
Source: %{name}-%{ver}.tar.gz
BuildRoot: /var/tmp/%{name}-%{ver}-root
Prefix: %{prefix}

%description
New Video Recorder
# XXX update description

%prep
%setup

%build
./configure --prefix=%prefix

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install  
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig
  
%files
%defattr(-, root, root)
%{prefix}/bin/*
%{prefix}/man/man1/*
%{prefix}/lib/quicktime_codec_*.so
%doc README COPYING KNOWN_BUGS NEWS CREDITS ChangeLog

%changelog
* Sat Jun 30 2001 Arnd Bergmann <arnd@itreff.de>
- initial version based on gstreamer spec file
